## mixxx 2.5.1+dfsg

=== debian/changelog ===
mixxx (2.5.1+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.5.1+dfsg
  * Refresh 0002-desktop_file.patch and 0005-disable_soundproxy_test.patch
  * Must build against libdjinterop-dev 0.24.3

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 May 2025 13:45:36 -0700

mixxx (2.5.0+dfsg-3~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore libtag1-dev as alternative BD.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Jan 2025 03:31:50 -0800

=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Free Ekanayaka <freee@debian.org>,
           Dennis Braun <snd@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-to-man,
               gir1.2-rsvg-2.0,
               googletest,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libbenchmark-dev,
               libchromaprint-dev,
               libdjinterop-dev (<< 0.24.4~),
               libdjinterop-dev (>= 0.24.3~),
               libebur128-dev,
               libexpat-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgl-dev,
               libgles2-mesa-dev [armel armhf],
               libglu1-mesa-dev,
               libgmock-dev,
               libgtest-dev,
               libhidapi-dev,
               libid3tag0-dev,
               libjack-dev | libjack-jackd2-dev,
               liblilv-dev,
               libmad0-dev,
               libmodplug-dev,
               libmp3lame-dev,
               libmsgsl-dev,
               libogg-dev,
               libopus-dev,
               libopusfile-dev,
               libportmidi-dev [linux-any],
               libprotobuf-dev,
               libqt6core5compat6-dev,
               libqt6opengl6-dev,
               libqt6sql6-sqlite,
               libqt6svg6-dev,
               librubberband-dev,
               libshout-idjc-dev,
               libsndfile1-dev,
               libsoundtouch-dev,
               libsqlite3-dev,
               libssl-dev,
               libtag-dev | libtag1-dev,
               libupower-glib-dev,
               libusb-1.0-0-dev,
               libvorbis-dev,
               libwavpack-dev,
               pkgconf,
               portaudio19-dev,
               protobuf-compiler,
               qml6-module-qt-labs-qmlmodels,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtqml-workerscript,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-nativestyle,
               qml6-module-qtquick-shapes,
               qml6-module-qtquick-templates,
               qml6-module-qtquick-window,
               qt6-base-private-dev,
               qt6-declarative-private-dev,
               qt6-qpa-plugins,
               qt6-shadertools-dev,
               qtkeychain-qt6-dev,
               vamp-plugin-sdk,
               xvfb
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
Homepage: https://www.mixxx.org/

Package: mixxx
Architecture: linux-any
Depends: libqt6sql6-sqlite,
         mixxx-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=6

CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release \
		-DINSTALL_USER_UDEV_RULES=OFF \
		-DKEYFINDER=OFF

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTS)

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/mixxx.sgml > mixxx.1

override_dh_auto_clean:
	rm -rf cache/ linux_build/
	dh_clean build/ src/build.h config.log mixxx.1
	dh_auto_clean
	rm -rf lin*_build/

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \
		-o -name LICENSE -o -name README \) -exec rm -f {} \;
	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## mixxx 2.5.2+dfsg

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.21)

message(STATUS "CMAKE_VERSION: ${CMAKE_VERSION}")

# CMAKE_CXX_COMPILER_ID: Distinguish between "AppleClang" and "Clang"
if(POLICY CMP0025)
  cmake_policy(SET CMP0025 NEW)
endif()

# MACOSX_RPATH is set by default
if(POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()

# Support new IN_LIST if() operator
if(POLICY CMP0057)
  cmake_policy(SET CMP0057 NEW)
endif()

# Enforce interprocedural optimization
if(POLICY CMP0069)
  cmake_policy(SET CMP0069 NEW)
endif()

# Let AUTOMOC and AUTOUIC process GENERATED files
if(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
endif()

# Propagate interface link properties
if(POLICY CMP0099)
  # This avoids a warning when qt deals with different behaviours controlled by this policy
  # in its cmake functions. See
  # https://github.com/qt/qtbase/commit/e3e1007f9778d8fc629a06f7d3d216bb7f81351b
  cmake_policy(SET CMP0099 NEW)
endif()

# An imported target missing its location property fails during generation.
if(POLICY CMP0111)
  cmake_policy(SET CMP0111 NEW)
endif()

# Set the timestamp of extracted files to the time of the extraction instead of
# the archived timestamp to make sure that dependent files are rebuilt if the
# URL changes.
if(POLICY CMP0135)
  cmake_policy(SET CMP0135 NEW)
endif()

function(FATAL_ERROR_MISSING_ENV)
  if(WIN32)
    if(CMAKE_BUILD_TYPE MATCHES "Debug")
      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/windows_buildenv.bat`?")
    else()
      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/windows_release_buildenv.bat` or `${CMAKE_SOURCE_DIR}/tools/windows_buildenv.bat`(includes Debug)?")
    endif()
  elseif(APPLE AND NOT IOS)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "arm64")
      message(FATAL_ERROR "Did you build the Mixxx build environment as described here: https://github.com/mixxxdj/mixxx/wiki/Compiling-dependencies-for-macOS-arm64?")
    elseif(CMAKE_BUILD_TYPE MATCHES "Debug")
      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh`")
    else()
      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/macos_release_buildenv.sh` or `${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh`(includes Debug)?")
    endif()
  elseif(UNIX AND NOT APPLE)
    # Linux, BSD, Solaris, Minix
    if(EXISTS "/etc/debian_version") # exists also on Ubuntu and Mint
      message(FATAL_ERROR "Did you install the required Debian dev packages via `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh`?")
    elseif(EXISTS "/etc/redhat-release") # exists also on Fedora Mageia Madndriva Alma CentOS
      message(FATAL_ERROR "Did you install the required RPM dev packages via `${CMAKE_SOURCE_DIR}/tools/rpm_buildenv.sh`?")
    else()
       message(FATAL_ERROR "Did you install the equivalent dev packages listed in `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh`?")
    endif()
  elseif(DEFINED VCPKG_TARGET_TRIPLET)
    message(FATAL_ERROR "You are targeting ${VCPKG_TARGET_TRIPLET}, which does not have a prebuilt environment. Please make sure that -DMIXXX_VCPKG_ROOT points to a vcpkg environment containing installed dependencies for ${VCPKG_TARGET_TRIPLET}!")
  else()
    message(FATAL_ERROR "You are building for an unknown platform and are missing a build environment. Please set -DVCPKG_TARGET_TRIPLET and make sure that -DMIXXX_VCPKG_ROOT points to a vcpkg environment containing installed dependencies for your target platform!")
  endif()
endfunction()

if(UNIX AND NOT APPLE)
  execute_process(COMMAND uname -r OUTPUT_VARIABLE UNAME_R OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(UNAME_R MATCHES ".*[Mm]icrosoft.*" OR UNAME_R MATCHES ".*WSL.*")
      message(FATAL_ERROR "Building on Windows Subsystem for Linux (WSL) is not supported. If you want to build Mixxx from command line on Windows, you need to use the \"x64 Native Tools Command Prompt for VS 2022\"!")
  endif()
endif()

# We use here ENV{MIXXX_VCPKG_ROOT} as a workaround to find the overlay folders
# in manifest mode https://github.com/microsoft/vcpkg/issues/12289.
# Note: VCPKG_ROOT, the default location for the vcpkg cli tool is later
# adjusted by CMAKE_TOOLCHAIN_FILE.
if(DEFINED ENV{MIXXX_VCPKG_ROOT} AND NOT DEFINED MIXXX_VCPKG_ROOT)
    set(MIXXX_VCPKG_ROOT "$ENV{MIXXX_VCPKG_ROOT}")
endif()

if(DEFINED MIXXX_VCPKG_ROOT)
  if(EXISTS "${MIXXX_VCPKG_ROOT}/overlay/ports" OR NOT EXISTS "${MIXXX_VCPKG_ROOT}/ports")
    # MIXXX_VCPKG_ROOT points to our vcpkg environment
    # and we configure the CMAKE_TOOLCHAIN_FILE and overlays accordingly
    message(STATUS "Using MIXXX_VCPKG_ROOT: ${MIXXX_VCPKG_ROOT}")
  else()
    message(STATUS "MIXXX_VCPKG_ROOT not correct (missing ${MIXXX_VCPKG_ROOT}/overlay/ports)")
    FATAL_ERROR_MISSING_ENV()
  endif()

  if(NOT DEFINED VCPKG_OVERLAY_PORTS)
    # required for manifest mode
    set(VCPKG_OVERLAY_PORTS "${MIXXX_VCPKG_ROOT}/overlay/ports")
    if(APPLE)
        list(APPEND VCPKG_OVERLAY_PORTS "${MIXXX_VCPKG_ROOT}/overlay/osx")
    elseif(WIN32)
        list(APPEND VCPKG_OVERLAY_PORTS "${MIXXX_VCPKG_ROOT}/overlay/windows")
    endif()
  endif()

  if(NOT DEFINED VCPKG_OVERLAY_TRIPLETS)
    # required for manifest mode
    set(VCPKG_OVERLAY_TRIPLETS "${MIXXX_VCPKG_ROOT}/overlay/triplets")
  endif()

  if(NOT DEFINED CMAKE_TOOLCHAIN_FILE)
    set(CMAKE_TOOLCHAIN_FILE "${MIXXX_VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
  endif()
endif()

if(NOT DEFINED VCPKG_TARGET_TRIPLET)
  if(DEFINED ENV{VCPKG_TARGET_TRIPLET})
    set(VCPKG_TARGET_TRIPLET "$ENV{VCPKG_TARGET_TRIPLET}")
  elseif(DEFINED ENV{VCPKG_DEFAULT_TRIPLET})
    set(VCPKG_TARGET_TRIPLET "$ENV{VCPKG_DEFAULT_TRIPLET}")
  endif()
endif()
set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON CACHE BOOL "Automatically copy dependencies into the install target directory for executables." FORCE)


# Set a default build type if none was specified
# See https://blog.kitware.com/cmake-and-the-default-build-type/ for details.
set(default_build_type "RelWithDebInfo")
if(EXISTS "${CMAKE_SOURCE_DIR}/.git" AND NOT WIN32)
  # On Windows, Debug builds are linked to unoptimized libs
  # generating unusable slow Mixxx builds.
  set(default_build_type "Debug")
endif()

if(NOT CMAKE_CONFIGURATION_TYPES)
  if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "Setting CMAKE_BUILD_TYPE to '${default_build_type}' as none was specified.")
    set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE STRING "Choose the type of build." FORCE)
    # Set the possible values of build type for cmake-gui
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo")
  elseif(NOT CMAKE_BUILD_TYPE MATCHES "^(Debug|Release|RelWithDebInfo)$")
    message(FATAL_ERROR "CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} is not supported, use one of Debug, Release or RelWithDebInfo.")
  endif()
endif()

include(CMakeDependentOption)

option(QT6 "Build with Qt6" ON)
cmake_dependent_option(QML "Build with QML" ON "QT6" OFF)
option(QOPENGL "Use QOpenGLWindow based widget instead of QGLWidget" ON)

if(QOPENGL)
  add_compile_definitions(MIXXX_USE_QOPENGL)
endif()

if(QML)
  add_compile_definitions(MIXXX_USE_QML)
endif()

if(VCPKG_TARGET_TRIPLET MATCHES "^wasm(32|64)-emscripten")
  message(STATUS "Targeting Emscripten (${VCPKG_TARGET_TRIPLET})")
  if(DEFINED ENV{EMSDK})
    message(STATUS "Found EMSDK at $ENV{EMSDK}")
  else()
    message(FATAL_ERROR "Please make sure emsdk is installed and the environment variable EMSDK is set (see https://emscripten.org/docs/getting_started/downloads.html)")
  endif()
  if(NOT DEFINED VCPKG_CHAINLOAD_TOOLCHAIN_FILE)
    set(VCPKG_CHAINLOAD_TOOLCHAIN_FILE "$ENV{EMSDK}/upstream/emscripten/cmake/Modules/Platform/Emscripten.cmake" CACHE STRING "")
  endif()
  # Enabling this causes Qt's FindWrapRt C++ compile check to fail as it tries
  # to run `clang-scan-deps` (because we set the C++ standard to 20). Emscripten
  # does not ship this binary yet, though. Potentially relevant upstream bug:
  # https://github.com/emscripten-core/emscripten/issues/21042
  set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
elseif(APPLE)
  # Check if xcode-select is installed
  execute_process(COMMAND xcode-select -v
    RESULT_VARIABLE XCODE_SELECT_RESULT
    OUTPUT_QUIET
  )
  if(XCODE_SELECT_RESULT)
    # xcode-select command failed, meaning it is not installed or not configured properly
    message(FATAL_ERROR "'xcode-select -v' failed with '${XCODE_SELECT_RESULT}'. You may need to install Xcode and run 'sudo xcode-select --install'.")
  endif()

  if(VCPKG_TARGET_TRIPLET MATCHES "^[a-zA-Z0-9]+-osx")
    message(STATUS "Targeting macOS (${VCPKG_TARGET_TRIPLET})")
    set(CMAKE_SYSTEM_NAME Darwin CACHE STRING "Target macOS")
    if(VCPKG_TARGET_TRIPLET MATCHES "^arm64-")
      # Minimum macOS version for arm64 Support
      set(CMAKE_OSX_DEPLOYMENT_TARGET 11.0 CACHE STRING "Minimum macOS version the build will be able to run on")
      set(CMAKE_OSX_ARCHITECTURES arm64 CACHE STRING "The target architecture")
      set(CMAKE_SYSTEM_PROCESSOR arm64 CACHE STRING "The target system processor")
    else()
      if(QT6)
        # Minimum macOS version supported by Qt 6.5
        set(CMAKE_OSX_DEPLOYMENT_TARGET 11.0 CACHE STRING "Minimum macOS version the build will be able to run on")
      else()
        # Minimum macOS version supported by Qt 5.12
        set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12 CACHE STRING "Minimum macOS version the build will be able to run on")
        # Needed for deployment target < 10.14
        add_compile_options(-fno-aligned-allocation)
      endif()
    endif()
  elseif(VCPKG_TARGET_TRIPLET MATCHES "^[a-zA-Z0-9]+-ios")
    message(STATUS "Targeting iOS (${VCPKG_TARGET_TRIPLET})")
    set(CMAKE_SYSTEM_NAME iOS CACHE STRING "Target iOS")
    set(CMAKE_OSX_DEPLOYMENT_TARGET 14.0 CACHE STRING "Minimum iOS version to target")
  else()
    message(WARNING "Targeting an Apple platform, but VCPKG_TARGET_TRIPLET is not set. This is not a supported scenario!")
  endif()
endif()

project(mixxx VERSION 2.5.2)
enable_language(C CXX)
# Work around missing version suffixes support https://gitlab.kitware.com/cmake/cmake/-/issues/16716
set(MIXXX_VERSION_PRERELEASE "") # set to "alpha" "beta" or ""

set(CMAKE_PROJECT_HOMEPAGE_URL "https://www.mixxx.org")
set(CMAKE_PROJECT_DESCRIPTION "Mixxx is Free DJ software that gives you everything you need to perform live mixes.")

# Used for force control of color output
set(BUILD_COLORS "auto" CACHE STRING "Try to use colors auto/always/no")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
include(CheckSymbolExists)
include(CheckIncludeFileCXX)
include(ExternalProject)
include(GNUInstallDirs)
include(DefaultOption)
include(IsStaticLibrary)

# Verify VCPKG settings
if(DEFINED _VCPKG_INSTALLED_DIR)
  if(NOT EXISTS "${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}")
    # Fail early if this part of CMAKE_PREFIX_PATH does not exist
    # else the library lookups below will fail with misleading error messages
    message(STATUS "VCPKG_TARGET_TRIPLET dir not found: ${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET} "
        "Make sure the VCPKG build environment is installed and contains the build for the selected triplet.")
    FATAL_ERROR_MISSING_ENV()
  else()
    message(STATUS "Using VCPKG_TARGET_TRIPLET: ${VCPKG_TARGET_TRIPLET}")
  endif()
endif()

#######################################################################
# Compilers and toolchains

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  # GNU is GNU GCC
  set(GNU_GCC true)
else()
  set(GNU_GCC false)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  if (CMAKE_CXX_SIMULATE_ID MATCHES "MSVC")
    set(LLVM_CLANG false)
    set(MSVC true)
  else()
    # using regular Clang or AppleClang
    set(LLVM_CLANG true)
  endif()
else()
  set(LLVM_CLANG false)
endif()

# CMake implicitly sets the variable MSVC to true for Microsoft

=== debian/changelog ===
mixxx (2.5.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Follow upstream to recommend qt6-translations-l10n.
  * debian/control: Update libdjinterop requirement.
  * debian/patches: Refresh patches.
  * debian/rules: Disable parallel build trying to fix issues with
    dh_auto_test.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Aug 2025 18:44:49 -0400

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_OPTS)
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	docbook-to-man debian/mixxx.sgml > mixxx.1
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel
 
 override_dh_auto_clean:
 	rm -rf cache/ linux_build/
@@ -34,8 +36,3 @@
 		-o -name LICENSE -o -name README \) -exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

## mixxx 2.5.3%2Bdfsg

=== res/shaders/CMakeLists.txt ===
qt_add_shaders(mixxx-lib "waveform_shaders"
  PREFIX "/shaders"
  FILES
      "rgbsignal_qml.frag"
)

# Workaround for https://bugreports.qt.io/browse/QTBUG-118500 that can be
# removed once Qt fixes the shader target generation for Xcode.
# See also https://github.com/mixxxdj/mixxx/issues/13378
if(CMAKE_GENERATOR STREQUAL "Xcode")
  add_dependencies(mixxx-lib_resources_1 mixxx-lib_waveform_shaders)
endif()

=== debian/changelog ===
mixxx (2.5.3+dfsg-5) unstable; urgency=medium

  * Team upload
  * Disable the bench build option when nocheck profile is used
    (Closes: #1116788) (LP: #2125431)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 12:55:54 -0400

mixxx (2.5.3+dfsg-4) unstable; urgency=high

  * Team upload
  * Disable benchmarking on riscv64 to avoid build failure in Ubuntu
    (LP: #2125431)

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 23 Sep 2025 13:06:39 +0200

mixxx (2.5.3+dfsg-2) unstable; urgency=high

  * Team upload
  * Remove superfluous build-dep on qml6-module-qtquick-nativestyle

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 22 Sep 2025 13:55:17 -0400

mixxx (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.3+dfsg
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Fri, 19 Sep 2025 13:33:47 +0200

mixxx (2.5.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Aug 2025 11:08:20 -0400

## mixxx 2.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -222,7 +222,7 @@
   endif()
 endif()
 
-project(mixxx VERSION 2.5.2)
+project(mixxx VERSION 2.5.3)
 enable_language(C CXX)
 # Work around missing version suffixes support https://gitlab.kitware.com/cmake/cmake/-/issues/16716
 set(MIXXX_VERSION_PRERELEASE "") # set to "alpha" "beta" or ""

=== lib/kaitai/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.11)
project (kaitai_struct_cpp_stl_runtime CXX)
enable_testing()

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
option(BUILD_TESTS "Build tests" ON)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(ZLIB)
find_package(Iconv)

set (HEADERS
    kaitai/kaitaistream.h
    kaitai/kaitaistruct.h
    kaitai/exceptions.h
)

set (SOURCES
    kaitai/kaitaistream.cpp
)

set(STRING_ENCODING_TYPE "ICONV" CACHE STRING "Set the way strings have to be encoded (ICONV|WIN32API|NONE|...)")

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

add_library (${PROJECT_NAME} ${HEADERS} ${SOURCES})
set_property(TARGET ${PROJECT_NAME} PROPERTY PUBLIC_HEADER ${HEADERS})
target_include_directories(${PROJECT_NAME} INTERFACE ${PROJECT_SOURCE_DIR})

if (ZLIB_FOUND)
    target_link_libraries(${PROJECT_NAME} PRIVATE ZLIB::ZLIB)
    target_compile_definitions(${PROJECT_NAME} PRIVATE -DKS_ZLIB)
endif()

if(Iconv_FOUND)
    target_link_libraries(${PROJECT_NAME} PRIVATE Iconv::Iconv)
endif()

include(Common.cmake)

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
    PUBLIC_HEADER DESTINATION include/kaitai
)

# Add the tests
if(BUILD_TESTS)
    add_subdirectory(tests)
endif()

=== src/proto/CMakeLists.txt ===
# Protobuf

# first try the package provided config
find_package(Protobuf CONFIG)
if(NOT Protobuf_FOUND)
  # Fall back to the CMake provide module
  find_package(Protobuf MODULE REQUIRED)
endif()

add_library(mixxx-proto OBJECT)

if(TARGET protobuf::libprotobuf-lite)
    target_link_libraries(mixxx-proto PUBLIC protobuf::libprotobuf-lite)
elseif(TARGET protobuf::libprotobuf)
    target_link_libraries(mixxx-proto PUBLIC protobuf::libprotobuf)
else()
    message(FATAL_ERROR "Protobuf or Protobuf-lite libraries are required to compile Mixxx.")
endif()

if(EMSCRIPTEN)
  # If we try linking in a proto lib built without -pthread we get
  #   wasm-ld: error: --shared-memory is disallowed by keys.pb.cc.o
  #   because it was not compiled with 'atomics' or 'bulk-memory' features.
  # See https://groups.google.com/g/emscripten-discuss/c/G4nwFprZFYo
  target_compile_options(mixxx-proto PRIVATE -pthread)
endif()

protobuf_generate(
  LANGUAGE cpp
  TARGET mixxx-proto
  PROTOS
    beats.proto
    headers.proto
    keys.proto
    skin.proto
    waveform.proto
)

=== debian/changelog ===
mixxx (2.5.3+dfsg-5build1) resolute; urgency=medium

  * No-change rebuild for libportmidi2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 22:01:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export QT_SELECT=6
 
 CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release \
+		-DBUILD_BENCH=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
 		-DINSTALL_USER_UDEV_RULES=OFF \
 		-DKEYFINDER=OFF

## mixxx 2.5.4%2Bdfsg

=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 docbook-to-man,
 gir1.2-rsvg-2.0,
 googletest,
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libbenchmark-dev,
 libchromaprint-dev,
# libdjinterop-dev (<< 0.24.4~),
# libdjinterop-dev (>= 0.24.3~),
 libebur128-dev,
 libexpat-dev,
 libfaad-dev,
 libfftw3-dev,
 libflac-dev,
 libgl-dev,
 libgles2-mesa-dev [armel armhf],
 libglu1-mesa-dev,
 libgmock-dev,
 libgtest-dev,
 libhidapi-dev,
 libid3tag0-dev,
 libjack-dev | libjack-jackd2-dev,
 liblilv-dev,
 libmad0-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmsgsl-dev,
 libogg-dev,
 libopus-dev,
 libopusfile-dev,
 libportmidi-dev [linux-any],
 libprotobuf-dev,
 libqt6core5compat6-dev,
 libqt6opengl6-dev,
 libqt6sql6-sqlite,
 libqt6svg6-dev,
 librubberband-dev,
 libshout-idjc-dev,
 libsndfile1-dev,
 libsoundtouch-dev,
 libsqlite3-dev,
 libssl-dev,
 libtag-dev,
 libupower-glib-dev,
 libusb-1.0-0-dev,
 libvorbis-dev,
 libwavpack-dev,
 pkgconf,
 portaudio19-dev,
 protobuf-compiler,
 qml6-module-qt-labs-qmlmodels,
 qml6-module-qt5compat-graphicaleffects,
 qml6-module-qtqml-workerscript,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-shapes,
 qml6-module-qtquick-templates,
 qml6-module-qtquick-window,
 qt6-base-private-dev,
 qt6-declarative-private-dev,
 qt6-qpa-plugins,
 qt6-shadertools-dev,
 qtkeychain-qt6-dev,
 vamp-plugin-sdk,
 xvfb,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
Homepage: https://www.mixxx.org/

Package: mixxx
Architecture: linux-any
Depends:
 libqt6sql6-sqlite,
 mixxx-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 qt6-translations-l10n,
Suggests:
 pdf-viewer,
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.

## mixxx 2.5.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,18 +59,18 @@
     if(CMAKE_SYSTEM_PROCESSOR MATCHES "arm64")
       message(FATAL_ERROR "Did you build the Mixxx build environment as described here: https://github.com/mixxxdj/mixxx/wiki/Compiling-dependencies-for-macOS-arm64?")
     elseif(CMAKE_BUILD_TYPE MATCHES "Debug")
-      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh`")
-    else()
-      message(FATAL_ERROR "Did you download the Mixxx build environment using `${CMAKE_SOURCE_DIR}/tools/macos_release_buildenv.sh` or `${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh`(includes Debug)?")
+      message(FATAL_ERROR "Did you download the Mixxx build environment using `source ${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh setup`")
+    else()
+      message(FATAL_ERROR "Did you download the Mixxx build environment using `source ${CMAKE_SOURCE_DIR}/tools/macos_release_buildenv.sh setup` or `source ${CMAKE_SOURCE_DIR}/tools/macos_buildenv.sh setup` (includes Debug)?")
     endif()
   elseif(UNIX AND NOT APPLE)
     # Linux, BSD, Solaris, Minix
     if(EXISTS "/etc/debian_version") # exists also on Ubuntu and Mint
-      message(FATAL_ERROR "Did you install the required Debian dev packages via `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh`?")
+      message(FATAL_ERROR "Did you install the required Debian dev packages via `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh setup`?")
     elseif(EXISTS "/etc/redhat-release") # exists also on Fedora Mageia Madndriva Alma CentOS
-      message(FATAL_ERROR "Did you install the required RPM dev packages via `${CMAKE_SOURCE_DIR}/tools/rpm_buildenv.sh`?")
-    else()
-       message(FATAL_ERROR "Did you install the equivalent dev packages listed in `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh`?")
+      message(FATAL_ERROR "Did you install the required RPM dev packages via `${CMAKE_SOURCE_DIR}/tools/rpm_buildenv.sh setup`?")
+    else()
+       message(FATAL_ERROR "Did you install the equivalent dev packages listed in `${CMAKE_SOURCE_DIR}/tools/debian_buildenv.sh setup`?")
     endif()
   elseif(DEFINED VCPKG_TARGET_TRIPLET)
     message(FATAL_ERROR "You are targeting ${VCPKG_TARGET_TRIPLET}, which does not have a prebuilt environment. Please make sure that -DMIXXX_VCPKG_ROOT points to a vcpkg environment containing installed dependencies for ${VCPKG_TARGET_TRIPLET}!")
@@ -222,7 +222,7 @@
   endif()
 endif()
 
-project(mixxx VERSION 2.5.3)
+project(mixxx VERSION 2.5.4)
 enable_language(C CXX)
 # Work around missing version suffixes support https://gitlab.kitware.com/cmake/cmake/-/issues/16716
 set(MIXXX_VERSION_PRERELEASE "") # set to "alpha" "beta" or ""
@@ -276,4 +276,3 @@
   set(LLVM_CLANG false)
 endif()
 
-# CMake implicitly sets the variable MSVC to true for Microsoft

=== lib/kaitai/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 if (ZLIB_FOUND)
     target_link_libraries(${PROJECT_NAME} PRIVATE ZLIB::ZLIB)
-    target_compile_definitions(${PROJECT_NAME} PRIVATE -DKS_ZLIB)
+    target_compile_definitions(${PROJECT_NAME} PUBLIC -DKS_ZLIB)
 endif()
 
 if(Iconv_FOUND)

=== debian/changelog ===
mixxx (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.4+dfsg
  * Refresh patchset
  * Bump Standards-Version to 4.7.3
  * Remove redudant rules-requires-root-no field
  * Do not build with libdjinterop, since the package is orphaned
    See #1121985

 -- Dennis Braun <snd@debian.org>  Tue, 30 Dec 2025 15:10:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release \
 		-DBUILD_BENCH=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
+		-DENGINEPRIME=OFF \
 		-DINSTALL_USER_UDEV_RULES=OFF \
 		-DKEYFINDER=OFF
